parsCovFuns {SpatioTemporal} | R Documentation

## Parameter Names for Covariance Function(s)

### Description

Provides a list of parameter names for the given covariance function(s), excluding the nugget which is added elsewhere.

### Usage

    parsCovFuns(type = namesCovFuns(), list = FALSE)

### Arguments

`type` | Name(s) of covariance functions, see `namesCovFuns`.
`list` | Always return a list (if FALSE returns a vector if possible)

### Value

Character vector with parameter names (excluding the nugget), `NULL` if the name is unknown. Returns a list if type contains more than one element.

### Author(s)

Johan Lindstrom

### See Also

Other covariance functions: `crossDist`, `evalCovFuns`, `makeSigmaB`, `makeSigmaNu`, `namesCovFuns`, `updateCovf`

### Examples

      ##all possible parameters
      parsCovFuns()
      ##just one covariance function
      parsCovFuns("exp")
      ##non existant covariance function
      parsCovFuns("bad.name")

[Package SpatioTemporal version 1.1.9.1 Index]